<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">

  <title>Silver BackEnd</title>

  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="./static/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="./static/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>
<body class="hold-transition">
<div class="wrapper">
    <div class="content-header">
      <div class="container-fluid">
        HISTORY
      </div><!-- /.container-fluid -->
    </div>

    <!-- /.content-header -->
    <div class="content">
      <div id="listView" class="container-fluid">
        <div class="card">
          <div class="card-header">
            <h3 class="card-title ">
              <span class="badge @status-color">@status</span>
              <span class="badge">@method</span>
              @url
            </h3>
            <div class="card-tools">
              <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                <i class="fas fa-minus"></i></button>
              <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
                <i class="fas fa-times"></i></button>
            </div>
          </div>
          <div class="card-body">
          <div class="card card-primary card-outline card-outline-tabs">
            <div class="card-header p-0 border-bottom-0">
              <ul class="nav nav-tabs" id="api-tab" role="tablist">
                <li class="nav-item">
                  <a class="nav-link active" id="api-param-tab" data-toggle="pill" href="#api-param" role="tab" aria-controls="api-param" aria-selected="false">Param</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="api-header-tab" data-toggle="pill" href="#api-header" role="tab" aria-controls="api-header" aria-selected="false">Header</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="api-body-tab" data-toggle="pill" href="#api-body" role="tab" aria-controls="api-body" aria-selected="false">Body</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" id="api-response-tab" data-toggle="pill" href="#api-response" role="tab" aria-controls="api-response" aria-selected="true">Response</a>
                </li>
              </ul>
            </div>
            <div class="card-body">
              <div class="tab-content" id="api-tabContent">
                <div id="@indexParam" class="tab-pane fade active show" id="api-param" role="tabpanel" aria-labelledby="api-param-tab">
                    <div class="card col-sm-12  collapsed-card card-primary" style="padding:0">
                      <div class="card-header ">
                        <h3 class="card-title ">
                          @name
                        </h3>
                        <div class="card-tools">
                          <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                            <i class="fas fa-plus"></i></button>
                        </div>
                      </div>
                      <div class="card-body">
                        @value
                      </div>
                    </div>

                    <div class="card col-sm-12  collapsed-card card-primary" style="padding:0">
                      <div class="card-header ">
                        <h3 class="card-title ">
                          name
                        </h3>
                        <div class="card-tools">
                          <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                            <i class="fas fa-plus"></i></button>
                        </div>
                      </div>
                      <div class="card-body">
                        value
                      </div>
                    </div>

                    <div class="card col-sm-12  collapsed-card card-primary" style="padding:0">
                      <div class="card-header ">
                        <h3 class="card-title ">
                          name
                        </h3>
                        <div class="card-tools">
                          <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                            <i class="fas fa-plus"></i></button>
                        </div>
                      </div>
                      <div class="card-body">
                        value
                      </div>
                    </div>

                    
                </div>
                <div id="@indexHeader" class="tab-pane fade" id="api-header" role="tabpanel" aria-labelledby="api-header-tab">
                  
                </div>
                <div id="@indexBody" class="tab-pane fade" id="api-body" role="tabpanel" aria-labelledby="api-body-tab">
                  
                </div>
                <div class="tab-pane fade" id="api-response" role="tabpanel" aria-labelledby="api-response-tab">
                  <code class="prettyprint">
                    @res
                  </code>
                </div>
              </div>
            </div>
          </div>
          </div>
        </div>
      </div>

<!--
  <div class="card">
    <div class="card-header">
      <h3 class="card-title ">
        <span class="badge @status-color">@status</span>
        <span class="badge">@method</span>
        @url
      </h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
    <div class="card card-primary card-outline card-outline-tabs">
      <div class="card-header p-0 border-bottom-0">
        <ul class="nav nav-tabs" id="api-tab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="@indexapi-param-tab" data-toggle="pill" href="#@indexapi-param" role="tab" aria-controls="@indexapi-param" aria-selected="true">Param</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="@indexapi-header-tab" data-toggle="pill" href="#@indexapi-header" role="tab" aria-controls="@indexapi-header" aria-selected="false">Header</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="@indexapi-body-tab" data-toggle="pill" href="#@indexapi-body" role="tab" aria-controls="@indexapi-body" aria-selected="false">Body</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="@indexapi-response-tab" data-toggle="pill" href="#@indexapi-response" role="tab" aria-controls="@indexapi-response" aria-selected="false">Response</a>
          </li>
        </ul>
      </div>
      <div class="card-body">
        <div class="tab-content" id="api-tabContent">
          <div class="tab-pane fade active show" id="@indexapi-param" role="tabpanel" aria-labelledby="@indexapi-param-tab"></div>
          <div class="tab-pane fade" id="@indexapi-header" role="tabpanel" aria-labelledby="@indexapi-header-tab"></div>
          <div class="tab-pane fade" id="@indexapi-body" role="tabpanel" aria-labelledby="@indexapi-body-tab"></div>
          <div class="tab-pane fade" id="@indexapi-response" role="tabpanel" aria-labelledby="@indexapi-response-tab">
              @res
          </div>
        </div>
      </div>
    </div>
    </div>
  </div>
-->


</div>
<script src="./static/js/jquery.min.js"></script>
<script src="./static/js/bootstrap.bundle.min.js"></script>
<script src="./static/js/adminlte.min.js"></script>
<script>
  String.prototype.replaceAll = function(search, replacement) {
    var target = this;
    return target.replace(new RegExp(search, 'g'), replacement);
  };
  var _api = [];
  $('#listView').empty();
  fetch('/log')
  .then((resp) => resp.json())
  .then(function(data) {
      _api = data;
      _listApi();
  })
  .catch(function() {
      
  });
  var _listApi = function(){
    for (var i in _api) {
      _renderList(_api[i],i);
    }
  }
  var _renderList = function(api,i){
    console.log(api);
    var _tmpEle = '<div class="card collapsed-card"><div class="card-header "><h3 class="card-title "> <span class="badge @stt-color">@status</span> <span class="badge">@method</span> @url</h3><div class="card-tools"> <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse"> <i class="fas fa-plus"></i></button></div></div><div class="card-body"><div class="card card-primary card-outline card-outline-tabs"><div class="card-header p-0 border-bottom-0"><ul class="nav nav-tabs" id="api-tab" role="tablist"><li class="nav-item"> <a class="nav-link" id="@indexapi-param-tab" data-toggle="pill" href="#@indexapi-param" role="tab" aria-controls="@indexapi-param" aria-selected="falsefalse">Param</a></li><li class="nav-item"> <a class="nav-link" id="@indexapi-header-tab" data-toggle="pill" href="#@indexapi-header" role="tab" aria-controls="@indexapi-header" aria-selected="false">Header</a></li><li class="nav-item"> <a class="nav-link" id="@indexapi-body-tab" data-toggle="pill" href="#@indexapi-body" role="tab" aria-controls="@indexapi-body" aria-selected="false">Body</a></li><li class="nav-item"> <a class="nav-link active" id="@indexapi-response-tab" data-toggle="pill" href="#@indexapi-response" role="tab" aria-controls="@indexapi-response" aria-selected="true">Response</a></li></ul></div><div class="card-body"><div class="tab-content" id="api-tabContent"><div class="tab-pane fade" id="@indexapi-param" role="tabpanel" aria-labelledby="@indexapi-param-tab"></div><div class="tab-pane fade" id="@indexapi-header" role="tabpanel" aria-labelledby="@indexapi-header-tab"></div><div class="tab-pane fade" id="@indexapi-body" role="tabpanel" aria-labelledby="@indexapi-body-tab"></div><div class="tab-pane fade active show" id="@indexapi-response" role="tabpanel" aria-labelledby="@indexapi-response-tab"> @res</div></div></div></div></div></div>';
    if (api.status > 200)
      _tmpEle = _tmpEle.replaceAll('@stt-color','bg-danger');
    else 
      _tmpEle = _tmpEle.replaceAll('@stt-color','bg-success');
    
    _tmpEle = _tmpEle.replaceAll('@status',api.status);
    _tmpEle = _tmpEle.replaceAll('@method',api.method);
    _tmpEle = _tmpEle.replaceAll('@url',api.url);
    _tmpEle = _tmpEle.replaceAll('@res',api.res);
    _tmpEle = _tmpEle.replaceAll('@index','i-'+i);
    $('#listView').append(_tmpEle);

    var _tmpChild = '<div class="card col-sm-12 collapsed-card card-primary" style="padding:0"><div class="card-header "><h3 class="card-title "> @name</h3><div class="card-tools"> <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse"> <i class="fas fa-plus"></i></button></div></div><div class="card-body"> @value</div></div>';
    for (var key in api.header){
      var _tmp = _tmpChild;
      _tmp = _tmp.replaceAll('@name',key);
      _tmp = _tmp.replaceAll('@value',api.header[key]);
      $('#i-'+i+'api-header').append(_tmp);
    }
    for (var key in api.body){
      var _tmp = _tmpChild;
      _tmp = _tmp.replaceAll('@name',key);
      _tmp = _tmp.replaceAll('@value',api.body[key]);
      $('#i-'+i+'api-body').append(_tmp);
    }
    for (var key in api.param){
      var _tmp = _tmpChild;
      _tmp = _tmp.replaceAll('@name',key);
      _tmp = _tmp.replaceAll('@value',api.param[key]);
      $('#i-'+i+'api-param').append(_tmp);
    }
  }
  
</script>
</body>
</html>
